# Sleep

The **Sleep** function interrupts the process flow of a Function and waits for the specified interval to pass. Use this function when you want processing to pause for a specified length of time.

***

### Properties <a href="#properties" id="properties"></a>

#### Timeout <a href="#timeout" id="timeout"></a>

The time the function will wait in milliseconds. This value has to be a positive number.


---

# Agent Instructions: Querying This Documentation

If you need additional information that is not directly available in this page, you can query the documentation dynamically by asking a question.

Perform an HTTP GET request on the current page URL with the `ask` query parameter:

```
GET https://docs.linx.software/reference/plugins/utilities/content/sleep.md?ask=<question>
```

The question should be specific, self-contained, and written in natural language.
The response will contain a direct answer to the question and relevant excerpts and sources from the documentation.

Use this mechanism when the answer is not explicitly present in the current page, you need clarification or additional context, or you want to retrieve related documentation sections.
